Subject: Re: bug#69097: [PATCH] Add 'kill-region-or-word' command

From: Robert Pluim <[email-masked]>
Date: Tue, 03 Sep 2024 18:47:10 +0200

>>>>> On Tue, 03 Sep 2024 16:32:46 +0000, Philip Kaludercic <[email-masked]> said:
    >> 
    >> Is it worth allowing a user-specified function?

    Philip> That would be possible as well, but to make it manageable with the
    Philip> current approach the function would have to be one that moves the point.
    Philip> So we could rewrite the patch with two default options `backward-word'
    Philip> and `unix-backward-word' (which we would have to add), but I am not sure
    Philip> it would have much use.  Perhaps killing the current word, instead of
    Philip> just killing to the beginning?

You mean having all the option values be functions? That would work as
well, but was not what I was suggesting.

In any case, I canʼt find a strong justification for such
configurability. We can always add it in later if people ask for it.

Robert
--